org.apache.ignite.ml.tree.boosting

## Class GDBBinaryClassifierOnTreesTrainer

- java.lang.Object
- - org.apache.ignite.ml.trainers.DatasetTrainer<ModelsComposition,Double>
  - - org.apache.ignite.ml.composition.boosting.GDBTrainer
    - - org.apache.ignite.ml.composition.boosting.GDBBinaryClassifierTrainer
      - - org.apache.ignite.ml.tree.boosting.GDBBinaryClassifierOnTreesTrainer

-     public class GDBBinaryClassifierOnTreesTrainer
      extends GDBBinaryClassifierTrainer

  Implementation of Gradient Boosting Classifier Trainer on trees.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.ignite.ml.composition.boosting.GDBTrainer

      `GDBTrainer.GDBModel`

    - ### Nested classes/interfaces inherited from class org.apache.ignite.ml.trainers.DatasetTrainer

      `DatasetTrainer.EmptyDatasetException`

  - ### Field Summary

    - ### Fields inherited from class org.apache.ignite.ml.composition.boosting.GDBTrainer

      `checkConvergenceStgyFactory, loss`

    - ### Fields inherited from class org.apache.ignite.ml.trainers.DatasetTrainer

      `envBuilder, environment`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GDBBinaryClassifierOnTreesTrainer(double gradStepSize, Integer cntOfIterations, int maxDepth, double minImpurityDecrease)` Constructs instance of GDBBinaryClassifierOnTreesTrainer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected @NotNull DecisionTreeRegressionTrainer` | `buildBaseModelTrainer()` Returns regressor model trainer for one step of GDB.
    `protected GDBLearningStrategy` | `getLearningStrategy()` Returns learning strategy.
    `int` | `getMaxDepth()` Get the max depth.
    `double` | `getMinImpurityDecrease()` Get the min impurity decrease.
    `boolean` | `isUsingIdx()` Get the using index structure property instead of using sorting during the learning process.
    `GDBBinaryClassifierOnTreesTrainer` | `setMaxDepth(int maxDepth)` Set up the max depth.
    `GDBBinaryClassifierOnTreesTrainer` | `setMinImpurityDecrease(double minImpurityDecrease)` Set up the min impurity decrease.
    `GDBBinaryClassifierOnTreesTrainer` | `withEnvironmentBuilder(LearningEnvironmentBuilder envBuilder)` Changes learning Environment.
    `GDBBinaryClassifierOnTreesTrainer` | `withUsingIdx(boolean usingIdx)` Set useIndex parameter and returns trainer instance.

    - ### Methods inherited from class org.apache.ignite.ml.composition.boosting.GDBBinaryClassifierTrainer

      `externalLabelToInternal, internalLabelToExternal, learnLabels`

    - ### Methods inherited from class org.apache.ignite.ml.composition.boosting.GDBTrainer

      `computeInitialValue, fitWithInitializedDeployingContext, isUpdateable, updateModel, withCheckConvergenceStgyFactory`

    - ### Methods inherited from class org.apache.ignite.ml.trainers.DatasetTrainer

      `fit, fit, fit, fit, fit, fit, getLastTrainedModelOrThrowEmptyDatasetException, identityTrainer, learningEnvironment, update, update, update, update, update, withConvertedLabels`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GDBBinaryClassifierOnTreesTrainer

          public GDBBinaryClassifierOnTreesTrainer(double gradStepSize,
                                                   Integer cntOfIterations,
                                                   int maxDepth,
                                                   double minImpurityDecrease)

      Constructs instance of GDBBinaryClassifierOnTreesTrainer.
      Parameters:
        `gradStepSize` - Gradient step size.
        `cntOfIterations` - Count of iterations.
        `maxDepth` - Max depth.
        `minImpurityDecrease` - Min impurity decrease.

  - ### Method Detail

    - #### buildBaseModelTrainer

          @NotNull
          protected @NotNull DecisionTreeRegressionTrainer buildBaseModelTrainer()

      Returns regressor model trainer for one step of GDB.
      Specified by:
        `buildBaseModelTrainer` in class `GDBTrainer`

    - #### getLearningStrategy

          protected GDBLearningStrategy getLearningStrategy()

      Returns learning strategy.
      Overrides:
        `getLearningStrategy` in class `GDBTrainer`
      Returns:
        Learning strategy.

    - #### withEnvironmentBuilder

          public GDBBinaryClassifierOnTreesTrainer withEnvironmentBuilder(LearningEnvironmentBuilder envBuilder)

      Changes learning Environment.
      Overrides:
        `withEnvironmentBuilder` in class `GDBBinaryClassifierTrainer`
      Parameters:
        `envBuilder` - Learning environment builder.

    - #### withUsingIdx

          public GDBBinaryClassifierOnTreesTrainer withUsingIdx(boolean usingIdx)

      Set useIndex parameter and returns trainer instance.
      Parameters:
        `usingIdx` - Use index.
      Returns:
        Decision tree trainer.

    - #### getMaxDepth

          public int getMaxDepth()

      Get the max depth.
      Returns:
        The property value.

    - #### setMaxDepth

          public GDBBinaryClassifierOnTreesTrainer setMaxDepth(int maxDepth)

      Set up the max depth.
      Parameters:
        `maxDepth` - The parameter value.
      Returns:
        Decision tree trainer.

    - #### getMinImpurityDecrease

          public double getMinImpurityDecrease()

      Get the min impurity decrease.
      Returns:
        The property value.

    - #### setMinImpurityDecrease

          public GDBBinaryClassifierOnTreesTrainer setMinImpurityDecrease(double minImpurityDecrease)

      Set up the min impurity decrease.
      Parameters:
        `minImpurityDecrease` - The parameter value.
      Returns:
        Decision tree trainer.

    - #### isUsingIdx

          public boolean isUsingIdx()

      Get the using index structure property instead of using sorting during the learning process.
      Returns:
        The property value.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020